<mat-toolbar>

	<mat-toolbar-row>
		<mat-icon class="menu-icon"
			matRipple
			matRippleUnbounded="true"
			matRippleCentered="true"
			[svgIcon]=" openSidebar? 'menu-open':'menu' "
			(click)="toggleMenu.emit($event); openSidebar = !openSidebar">
		</mat-icon>
		<div class="main-title">Сервис Приема ССПВО</div>
		<div fxFlex=""></div>
		<div fxLayout="row">
			<div class="user-info-block" fxLayout="column" fxLayoutAlign="center end">
				<div class="user-fio">
					{{user.name}} {{user.patronymic}}
				</div>
				<div class="organization" *ngIf="user.organization">
					{{user.organization.short_title | slice: 0:70}}
				</div>
				<div class="organization" *ngIf="user.role.code == 'administrator' ">
					Администратор
				</div>
			</div>
			<button mat-icon-button [matMenuTriggerFor]="menu">
				<mat-icon svgIcon="chevron-down"></mat-icon>
			</button>


			<mat-menu #menu="matMenu" backdropClass="user-info-menu" class="p-20">

				<div class="user-info-menu__user-data pb-16">
					<h4>{{user.surname}} {{user.name}} {{user.patronymic}}</h4>
				</div>
				<ng-container *ngIf="user.organization">
					<div class="user-info-menu__user-org mat-caption pb-4">
						#{{user.organization.id}}
					</div>
					<div class="user-info-menu__user-org mat-caption pb-16">
						{{user.organization.short_title}}
					</div>
				</ng-container>


				<mat-divider></mat-divider>

				<div class="user-info-menu__btn-wrap pt-16" fxLayout="row" fxLayoutAlign="space-around center">
					<button
						class="user-info-menu__btn user-info-menu__btn--logout"
						mat-flat-button
						color="accent"
						(click)="logout()"> Выйти
					</button>

          <button
            class="user-info-menu__btn user-info-menu__btn--change-org"
            mat-flat-button

            (click)="changeOrg()"> Сменить организацию
          </button>
				</div>

			</mat-menu>
		</div>
	</mat-toolbar-row>
</mat-toolbar>

